Subject: Re: [SWIPL] A help with the use of the module predicate.

From: Jan Wielemaker <[email-masked]>
Date: Tue, 22 May 2001 12:24:13 +0200

> "Sergio R. P. da Silva" <[email-masked]> writes:
> You're in luck.  I got that working some time ago.  I had to make 3
> changes, but IIRC that wasn't one of them.
> 
> You need to define a rule Quintus has that SWI doesn't:
> 
>         simple(X) :- (atom(X) | number(X) | var(X) ), !.

Thanks.  I added simple to library(quintus) as:

simple(X) :-
	(   atomic(X)
	->  true
	;   var(X)
	).

> For some reason EnglishLexicon needed to be a module, so I added:

Anything more specific on `some reason'?

	--- Jan